---
title: Quick start
---
# SimpleX Chat User Guide

The first messaging platform that has no user identifiers of any kind — 100% private by design.

## Contents

- [Quick start](#quick-start) - scroll down this page
- [Sending messages](./send-messages.md)
- [Secret groups](./secret-groups.md)
- [Chat profiles](./chat-profiles.md)
- [Managing data](./managing-data.md)
- [Audio & video calls](./audio-video-calls.md)
- [Privacy & security](./privacy-security.md)
- [App settings](./app-settings.md)

## Quick start

### Create your first chat profile

After downloading SimpleX Chat via the links at https://simplex.chat:

- Open the app.
- Create a new profile by inputting your display name and full name (optional).
- Tap on "Create".

This profile is local to the device, it is not stored anywhere else

### Choose notifications mode

After you have created the chat profile the app will ask you to choose notifications mode.

<img src="../../blog/images/20220711-notifications.png" width="330">

Please read their description, as on iOS it is trade-off between convenience and privacy, with instant notifications sharing more meta-data with the servers, and on Android it is a trade-off between notification delays and battery life.

You can read more about [the differences between notifications work on Android and iOS](../../blog/20220404-simplex-chat-instant-notifications.md).

### Connect to developers

When you just start using the app, you can tap "chat with the developers" to ask any questions or just to test the app - feel free to send any test messages.

This button will disappear once you make the first connection. To connect to the developers later:

- [Open the app settings](./app-settings.md#opening-the-app-settings).
- Tap on "Send questions and ideas".

### Join some user groups

There are links to join several [user groups](../../README.md#join-user-groups) on our GitHub page - join them to ask any questions and discuss ideas.

You can also find some other user-managed groups via online search.

To join a group via a link:

- Get a link to a SimpleX user group, which you can get from your existing SimpleX conversations or by finding it online.
- Tap on a button in the lower right-hand of the screen.
- Tap on "Connect via link / QR code" button.

### Connect to friends

- Tell your friends to download SimpleX Chat app via one of the links here: https://simplex.chat
- Create a one-time link for each of you friends by tapping new chat button (Android: a floating pencil button in the bottom right corner, iOS: a pencil button in the top right corner)
- Tap _Create one-time invitation link_.
- Share each link with a different friend, or alternatively let them scan a QR code.
- You can optionally assign a different alias to each link, to know when they connect who is who, if they use incognito mode, for example.
- To use your link or QR code, tell your friends to tap new chat button and then tap on "Connect via link / QR code".
- They can either scan QR code or paste the link. If they opened the link in the browser, they need to tap "Open in mobile app" button on the page.

Watch the video on [the website](https://simplex.chat) that shows how it works.

You can also create a [long-term contact address](./app-settings.md#your-simplex-contact-address).

### Explore the app

Most app settings are shared for all profiles, but some settings are specific to chat profile.

Read more in [App settings](./app-settings.md) page.

Many conversation actions are available via long-press or swipe – try them!
